PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all class members with links to the classes they belong to:

### - b -

- b : PEthSocket::Address
- back() : PList< T > , PSortedList< T >
- Bad : PMemoryHeap
- BadBR : PRegularExpression
- BadClassType : PRegularExpression
- BadEscape : PRegularExpression
- BadGateway : PHTTP
- BadParameter : PChannel
- BadPattern : PRegularExpression
- BadRepitition : PRegularExpression
- BadRequest : PHTTP
- BadResponse : PHTTP
- BadRoute : PICMPSocket
- BadSubReg : PRegularExpression
- BadValue : PSNMP
- Banner() : PHTML::Banner
- BareJID() : XMPP::BareJID
- base64 : PRFC822Channel
- Base_T : PFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType > , PDevicePluginFactory< AbstractClass, KeyType >
- BaseClass : PStreamableBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- baseField : PHTTPFieldArray
- baseName : PHTTPField
- basePath : PHTTPDirectory
- BaseReadFrom() : PSTUNUDPSocket
- baseSocket : PSNMPServer
- BaseStreamHandler() : XMPP::BaseStreamHandler
- baseURL : PHTTPResource
- BaseWriteTo() : PSTUNUDPSocket
- Basic : PString
- BasicType : PVarType
- BCCTag() : PRFC822Channel
- Beep() : PSound
- begin() : PSet< T > , PDictionary< K, D > , PList< T > , PSortedList< T > , PSafeDictionary< K, D >
- Begin() : PTrace
- BeginMessage() : PSMTPClient , PPOP3Client
- BeginRestartSystem() : PHTTPServiceProcess
- bervals : PLDAPSession::BinaryModAttrib
- BetaCode : PProcess
- Big() : PHTML::Big
- BinaryModAttrib() : PLDAPSession::BinaryModAttrib
- binattributes : PLDAPSchema
- Bind() : PLDAPSession
- BindingError : PSTUNMessage
- BindingList : PSNMP
- BindingRequest : PSTUNMessage
- BindingResponse : PSTUNMessage
- BindSent : XMPP::C2S::StreamHandler
- Black : PSortedListElement
- BlindTransfer : PVXMLSession
- Block() : PTrace::Block
- BlockChainMode : PCypher
- BlockDevice : PFileInfo
- BlockQuote() : PHTML::BlockQuote
- Blocks : PTrace
- BlockSize : PSHA1Context
- blockSize : PCypher
- Body() : PHTML::Body
- BodyTag() : XMPP::Message
- Bold() : PHTML::Bold
- boolean : PVarType::Variant
- Border : PHTML
- BorderCodes : PHTML
- Both : XMPP::Roster
- BothCRLF : PHTML::Element
- boundaries : PRFC822Channel
- Break : PTelnetSocket
- BreakLine() : PHTML::BreakLine
- BridgedTransfer : PVXMLSession
- bucket : PHashTableElement
- buffer : PICMPSocket::PingInfo
- bufferSize : PICMPSocket::PingInfo
- bufferTime : PAec
- BufferTooSmall : PChannel
- BuildError() : XMPP::IQ
- BuildHTML() : PHTTPForm
- BuildJID() : XMPP::JID
- buildNumber : PProcess , PHTTPServiceProcess::Info
- BuildOptions : PHTTPForm
- BuildResult() : XMPP::IQ
- buildStatus : PHTTPServiceProcess::Info
- BulletList() : PHTML::BulletList
- BundleParams() : PMonitoredSockets::BundleParams
- busyReply : PModem
- Byte1() : PIPSocket::Address
- Byte2() : PIPSocket::Address
- Byte3() : PIPSocket::Address
- Byte4() : PIPSocket::Address
- ByteMacroOption : PTelnetSocket
- bytesPerPixel : PVideoOutputDeviceRGB